PostgreSQL 7.4beta4 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# pg_lo_write

## Name

pg_lo_write -- write to a large object

## Synopsis

    pg_lo_write conn descriptor buf len

## Description

`pg_lo_write` writes at most len bytes from a variable buf to a large object.

## Arguments

conn

  The handle of a database connection in which the large object exists.

descriptor

  A descriptor for the large object from `pg_lo_open`.

buf

  The string to write to the large object (not a variable name).

len

  The maximum number of bytes to write.

## Return Value

None

Prev | Home | Next
pg_lo_read | Up | pg_lo_lseek